Retrieves a specific inquiry for the given id.
Inquiries are used to perform pre-payment checks. Depending on the type, the inquiries purpose can be to validate there are no active blocks on a card or cardholder, or to check their available balance.
/api/inquiries/{inquiryId} Retrieves a specific inquiry for the given id.
Inquiries are used to perform pre-payment checks. Depending on the type, the inquiries purpose can be to validate there are no active blocks on a card or cardholder, or to check their available balance.
inquiryIdstringrequiredPrimary identifier of the inquiry to fetch
Successful operation.
idstringrequiredInquiry identifier.
typestringrequiredThe type of inquiry.
This set is non-exhaustive and may grow over time, so consumers should tolerate unrecognised values. The current values are account-status-inquiry and balance-inquiry.
Balance inquiries are not currently supported and are always declined with the result code transaction-not-permitted-to-cardholder.
livenessstringrequiredlivetestThe resource liveness mode.
declineReasonstringReason the inquiry was declined only if applicable.
resultobjectOutcome of the inquiry. Present once a result has been recorded.
acceptedbooleanrequiredIndicates whether the inquiry was accepted.
codestringrequiredThe result code for the inquiry.
messagestringA human-readable description of the result.
merchantobjectMerchant descriptor. Present when the underlying network message carries merchant details.
idstringThe merchant identifier from the payment network.
namestringThe merchant's name.
terminalIdstringThe merchant's payment terminal identifier.
categoryCodestringThe merchant's ISO-18245 category code.
citystringThe merchant's city name.
countryCodestringThe merchant's ISO-3166-1 Alpha-2 country code.
cardobjectrequiredThe card the inquiry relates to.
idstringrequiredCard identifier.
cardholderobjectrequiredThe cardholder the inquiry relates to.
idstringrequiredCardholder account identifier.
createdAtstring<date-time>requiredISO 8601 timestamp of when the inquiry was recorded.
modifiedAtstring<date-time>requiredISO 8601 timestamp of when the inquiry was last modified.
Request fields are invalid.
statusCodeintegerrequiredstatusNamestringrequirederrorCodestringrequirederrorsobject[]Items
messagestringpathstringThe location of the invalid path param, query param or payload attribute.
No Authorization to access resource.
statusCodeintegerrequiredstatusNamestringrequirederrorCodestringrequiredreasonstring